---
openapi: 3.0.1
info:
  title: Mobilitybox API V4
  version: v4
  description: |
    ## The Mobilitybox V5 APIs introduce invoicing API for ticketing.

    To find out more about the changes, check out the [Ticketing API v5](/ticketing/documentation/api?api_version=5)
servers:
  - url: "https://api.themobilitybox.com/v5"

components:
  schemas:
    Error:
      type: object
      properties:
        type:
          type: string
        message:
          type: string
    trip:
      type: object
      properties:
        name:
          type: string
        id:
          type: string
        type:
          "$ref": "#/components/schemas/type"
        stops:
          type: array
          items:
            type: object
            properties:
              station:
                "$ref": "#/components/schemas/station"
              status:
                type: string
                enum:
                - past
                  current
                  future
              arrival:
                type: object
                properties:
                  scheduled_at:
                    type: integer
                    format: timestamp
                    min: 946684800000
                    max: 4102444800000
                  predicted_at:
                    type: integer
                    format: timestamp
                    min: 946684800000
                    max: 4102444800000
              departure:
                type: object
                properties:
                  scheduled_at:
                    type: integer
                    format: timestamp
                    min: 946684800000
                    max: 4102444800000
                  predicted_at:
                    type: integer
                    format: timestamp
                    min: 946684800000
                    max: 4102444800000
    attributions:
      type: object
      properties:
        html:
          type: string
        text:
          type: string
        url:
          type: string
    station:
      type: object
      properties:
        name:
          type: string
        id:
          type: string
        position:
          "$ref": "#/components/schemas/geo_position"
    departure:
      type: object
      properties:
        departure:
          type: object
          properties:
            scheduled_at:
              type: integer
              format: timestamp
              min: 946684800000
              max: 4102444800000
            predicted_at:
              type: integer
              format: timestamp
              min: 946684800000
              max: 4102444800000
            platform:
              type: string
        trip:
          type: object
          properties:
            id:
              type: string
            end_station_id:
              type: string
            type:
              "$ref": "#/components/schemas/type"
            line_name:
              type: string
            provider:
              type: string
            headsign:
              type: string
    geo_position:
      type: object
      properties:
        longitude:
          type: number
        latitude:
          type: number
      nullable: true
    type:
      type: object
      properties:
        kind:
          type: string
        product:
          type: string
  securitySchemes:
    "API-Key via query parameter":
      type: apiKey
      in: query
      name: api_key
    "API-Key via HTTP-Header":
      type: http
      in: header
      scheme: bearer
security:
  - "API-Key via query parameter": []
  - "API-Key via HTTP-Header": []
paths:
  "/transit/departures.json":
    get:
      summary: Get the next departures at a given station
      tags:
      - Departures
      parameters:
      - name: station_id
        in: query
        required: true
        schema:
          type: string
        example: "vesputi-station-OW_67E4OIaGwDh9rlNfwP-QGZSSgQOgXcXeDwvyKwdI"
        description: Stations unique ID in Vesputi Format
      - name: time
        in: query
        required: false
        schema:
          type: timestamp
          min: 946684800000  #Unix-Timestamp in miliseconds 01.01.2000 00:00 UTC
          max: 4102444800000 #Unix-Timestamp in miliseconds 01.01.2100 00:00 UTC
        description: Show departures from that point in time onwards. Defaults to Now.
      - name: max_departures
        in: query
        required: false
        schema:
          type: integer
          min: 1
          max: 100
        default: 10
        description: Return this maximum amount of departures in the result. Could return less.
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                type: array
                items:
                  "$ref": "#/components/schemas/departure"
              example:
                [
                  {
                    "departure": {
                      "scheduled_at": 1622564520000,
                      "predicted_at": 1622564520000,
                      "platform": ""
                    },
                    "trip": {
                      "id": "vesputi-trip-JiizqBpNZMz5S0gqxICkUIts4rA-hrIHsUvOb9Bccnk1r0m_9sFyWAx3-jOuC4_2DyRdCFTYTQzsZOP4OoTo0ZUwGLXgSgcyqy21_5s24paubT-He_xY8GP_Ww1URWvl_lMuddq2jL6zXyHN_PJafeKUyJ-QgLnHrzmMYgg1fqryEFiCDif5OMEPPUEZ7zPqdYzkHF3wtwmFqXe8w6yYGiOymokqEFz1o3gnbTk36Y4",
                      "end_station_id": "vesputi-station-bTrw7EsPI6uyBhlqqevOCw",
                      "type": {
                        "kind": "bus",
                        "product": "Bus"
                      },
                      "line_name": "704",
                      "provider": "Nahverkehrsgesellschaft Jerichower Land",
                      "headsign": "Burg (b. Magdeburg), Busbahnhof"
                    }
                  }
                ]
        '400':
          description: Malformed query. Usually, the parameters are not as expected.
        '404':
          description: If the station is not found or the timestamp is out of schedule range.
  "/transit/stations/search_by_name.json":
    get:
      summary: Find a station by name
      description: |
        Query the station database by name. This way you can find stations including their name, id and location.

        If you include a location parameter (via latitude and longitude), you will get results that heavily favor
        stations that are close to the location. You could for instance use this to show more relevant results to
        the user location.
      tags:
      - Stations
      parameters:
      - name: query
        in: query
        required: true
        schema:
          type: string
          min: 3
        example: "Magdeburg"
        description: Search Query for a Station. The Query must be at least 3 characters long.
      - name: latitude
        in: query
        require: false
        schema:
          type: number
        example: 52.163453
        description: The latitude to use for the location bias
      - name: longitude
        in: query
        require: false
        schema:
          type: number
        example: 11.646832
        description: The longitude to use for the location bias

      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                type: array
                items:
                  "$ref": "#/components/schemas/station"
              example: [{
                "name": "Magdeburg, Zoo",
                "id": "vesputi-station-OW_67U4PIKCwCBxtnNWwZ2jnsNS2WZA1eNY9MyjyvKs",
                "position": {
                  "latitude": 52.163453,
                  "longitude": 11.646832
                }
              }]
        '400':
          description: Malformed query. Usually, the parameters are not as expected.
        '404':
          description: If the station is not found or the timestamp is out of schedule range.
  "/transit/stations/search_by_position.json":
    get:
      summary: Find a station near a given position
      tags:
      - Stations
      parameters:
      - name: latitude
        in: query
        required: true
        schema:
          type: number
        example: 52.163453
        description: Latitude (like Y in the coordinate system) of the Position where we want to search. The now standard WGS84 is used.
      - name: longitude
        in: query
        required: true
        schema:
          type: number
        example: 11.646832
        description: Longitude (like X in the coordinate system) of the Position where we want to search. The now standard WGS84 is used.
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                type: array
                items:
                  "$ref": "#/components/schemas/station"
              example: [{
                "name": "Magdeburg, Zoo",
                "id": "vesputi-station-OW_67U4PIKCwCBxtnNWwZ2jnsNS2WZA1eNY9MyjyvKs",
                "position": {
                  "latitude": 52.163453,
                  "longitude": 11.646832
                }
              }]
        '400':
          description: Malformed query. Usually, the parameters are not as expected.
        '404':
          description: If the station is not found or the timestamp is out of schedule range.
  "/transit/stations/search_by_id.json":
    get:
      summary: Find a station by its id. Can handle different types of IDs. Currently, DHID (Delfi), mobilitybox IDs and internal IDs are used at Hallesche Verkehrs-AG (havag).
      tags:
      - Stations
      parameters:
      - name: id_type
        in: query
        required: false
        schema:
          type: string
          enum: [dhid, delfi, mobilitybox, havag]
        default: mobilitybox
        example: delfi
        description: Optional defaults to 'mobilitybox'. What kind of ID to search for 'dhid' and 'delfi' is equivalent. (Because 'delfi' is commonly known, 'dhid' is the right term.)
      - name: query
        in: query
        required: true
        schema:
          type: string
        example: "de:05112:16254:0:1"
        description: The ID to search for.
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/station"
              example: {
                "name": "Magdeburg, Zoo",
                "id": "vesputi-station-OW_67U4PIKCwCBxtnNWwZ2jnsNS2WZA1eNY9MyjyvKs",
                "position": {
                  "latitude": 52.163453,
                  "longitude": 11.646832
                }
              }
        '400':
          description: Malformed query. Usually, the parameters are not as expected.
        '404':
          description: If the station is not found.
  "/transit/station_map/{zoom_level}-{x}-{y}.mvt":
    get:
        summary: Get MVT data as a Protocol Buffer for Stations and Platforms
        description: |
          Returns [Mapbox Vector tiles](https://docs.mapbox.com/vector-tiles/reference/) data as binary [Protocol Buffer](https://developers.google.com/protocol-buffers) data.
          The tiles have different layers. For now, there are two layers:

            * stations for all the stations used in the Mobilitybox
            * platforms for all the platforms used in the Mobilitybox
        tags:
        - Map
        parameters:
        - name: zoom_level
          in: path
          required: true
          schema:
            type: integer
          example: 15
          minimum: 0
          maximum: 19
          description: The zoom level to retrieve the tile data.
        - name: x
          in: path
          required: true
          schema:
            type: integer
          example: 17075
          description: The x coordinate to use for tile data.
        - name: y
          in: path
          required: true
          schema:
            type: integer
          example: 10827
          description: The y coordinate to use for tile data.
        responses:
          '200':
            description: success, vector tile data returned as protocol buffer (binary)
            content:
              application/x-protobuf:
                schema:
                  type: string
                  format: binary
                  example: >
                    parsed extract for 16-35020-21841 ({zoom_level}-{x}-{y}):

                    layers {
                      name: "stations"
                      features {
                        id: 5448001
                        tags: 0
                        tags: 0
                        tags: 1
                        tags: 1
                        tags: 2
                        tags: 2
                        type: POINT
                        geometry: 9
                        geometry: 5826
                        geometry: 2162
                      }
                      keys: "station_id"
                      keys: "name"
                      keys: "stop_code"
                      values {
                        string_value: "vesputi-station-OW_67U8IIaCwDhtvmdrwdRBQxUE5kfA_ejbech-QXJc"
                      }
                      values {
                        string_value: "Leipzig, Markt"
                      }
                      values {
                        string_value: ""
                      }
                      extent: 4096
                      version: 2
                    }

                    layers {
                      name: "platforms"
                      features {
                        id: 4949243
                        tags: 0
                        tags: 0
                        tags: 1
                        tags: 1
                        tags: 2
                        tags: 2
                        type: POINT
                        geometry: 9
                        geometry: 5974
                        geometry: 638
                      }
                      keys: "station_id"
                      keys: "name"
                      keys: "stop_code"
                      values {
                        string_value: "vesputi-station-OW_67U8IIaCwBxlvn97yOZCumruyDJYV4lNQ3ze-X3w"
                      }
                      values {
                        string_value: "Leipzig Markt"
                      }
                      values {
                        string_value: ""
                      }
                      extent: 4096
                      version: 2
                    }
          '204':
            description: empty tile for these coordinates and zoom level
          '400':
            description: Malformed query. Usually, the parameters are not as expected.
          '404':
            description: If nothing was found. This usually indicates that the tile coordinates are wrong/invalid.
            content:
              application/json:
                schema:
                  $ref: '#/components/schemas/Error'
          '500':
            description: An unknown internal error occurred. Try again later.
            content:
              application/json:
                schema:
                  $ref: '#/components/schemas/Error'
  "/transit/station_map/{zoom_level}-{x}-{y}.pbf":
    $ref: '#/paths/~1transit~1station_map~1{zoom_level}-{x}-{y}.mvt'
  "/transit/transit_map/{zoom_level}-{x}-{y}.mvt":
    get:
        summary: Get MVT data as a Protocol Buffer for a Transit Map.
        description: |
          The Transit Map is a set of lines on a map that represent the typical routes public transit vehicles take. This includes for example buses, trams and subways. This transit map layer might show routes of different importance on different zoom levels.

          Returns [Mapbox Vector tiles](https://docs.mapbox.com/vector-tiles/reference/) data as binary [Protocol Buffer](https://developers.google.com/protocol-buffers) data.
          The tiles may have different layers. For now, there is one layer:

            * transit_map_segments for all the stations used in the Mobilitybox
        tags:
        - Map
        parameters:
        - name: zoom_level
          in: path
          required: true
          schema:
            type: integer
          example: 15
          minimum: 0
          maximum: 19
          description: The zoom level to retrieve the tile data.
        - name: x
          in: path
          required: true
          schema:
            type: integer
          example: 17075
          description: The x coordinate to use for tile data.
        - name: y
          in: path
          required: true
          schema:
            type: integer
          example: 10827
          description: The y coordinate to use for tile data.
        responses:
          '200':
            description: success, vector tile data returned as protocol buffer (binary)
            content:
              application/x-protobuf:
                schema:
                  type: string
                  format: binary
                  example: >
                    parsed extract for 16-35020-21841 ({zoom_level}-{x}-{y}):

                    layers {
                      name: "transit_map_segments"
                      features {
                        id: 994639
                        tags: 0
                        tags: 0
                        tags: 1
                        tags: 1
                        type: LINESTRING
                        geometry: 9
                        geometry: 6076
                        geometry: 688
                        geometry: 42
                        geometry: 36
                        geometry: 179
                        geometry: 84
                        geometry: 349
                        geometry: 24
                        geometry: 89
                        geometry: 142
                        geometry: 443
                        geometry: 46
                        geometry: 135
                      }
                      features {
                        id: 995336
                        tags: 0
                        tags: 0
                        tags: 1
                        tags: 1
                        type: LINESTRING
                        geometry: 9
                        geometry: 6654
                        geometry: 8704
                        geometry: 74
                        geometry: 233
                        geometry: 1533
                        geometry: 207
                        geometry: 1591
                        geometry: 65
                        geometry: 717
                        geometry: 115
                        geometry: 1123
                        geometry: 87
                        geometry: 1159
                        geometry: 1
                        geometry: 507
                        geometry: 26
                        geometry: 697
                        geometry: 38
                        geometry: 315
                        geometry: 72
                        geometry: 365
                      }
                      keys: "line_short_names"
                      keys: "line_types"
                      values {
                        string_value: "{S1,S6}"
                      }
                      values {
                        string_value: "{109}"
                      }
                      extent: 4096
                      version: 2
                    }
          '204':
            description: empty tile for these coordinates and zoom level
          '400':
            description: Malformed query. Usually, the parameters are not as expected.
          '404':
            description: If nothing was found. Usually indicates that the tile coordinates are wrong/invalid.
            content:
              application/json:
                schema:
                  $ref: '#/components/schemas/Error'
          '500':
            description: An unknown internal error occurred. Try again later.
            content:
              application/json:
                schema:
                  $ref: '#/components/schemas/Error'
  "/transit/transit_map/{zoom_level}-{x}-{y}.pbf":
    $ref: '#/paths/~1transit~1transit_map~1{zoom_level}-{x}-{y}.mvt'
  "/transit/trips/{id}.json":
    get:
      summary: Find a trip by its ID.
      tags:
      - Trips
      parameters:
      - name: id
        in: path
        required: true
        schema:
          type: string
        description: Unique ID of a trip
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/trip"
              example: {
                "name": "704",
                "id": "vesputi-trip-JiizqBpNZMz5S0gqxICkUIts4rA-hrIHsUvOb9Bccnk1r0m_9sFyWAx3-jOuC4_2DyRdCFTYTQzsZOP4OoTo0ZUwGLXgSgcyqy21_5s24paubT-He_xY8GP_Ww1URWvl_lMuddq2jL6zXyHN_PJafeKUyJ-QgLnHrzmMYgg1fqryEFiCDif5OMEPPUEZ7zPqdYzkHF3wtwmFqXe8w6yYGiOymokqEFz1o3gnbTk36Y4",
                "type": {
                  "kind": "bus",
                  "product": "Bus"
                },
                "stops": [
                  {
                    "station": {
                      "name": "Magdeburg, ZOB",
                      "id": "vesputi-station-bTrw7EsPIqqyChlvqevOCw",
                      "position": {
                        "longitude": 11.624668,
                        "latitude": 52.131593
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622563740000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622563740000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, S-Bahnhof Neustadt (Bus)",
                      "id": "vesputi-station-bTrw7EsPIKe4DhluqevOCw",
                      "position": {
                        "longitude": 11.64104,
                        "latitude": 52.14784
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622564160000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622564160000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, Zoo",
                      "id": "vesputi-station-bTrw7EsPJ6a5DhltqevOCw",
                      "position": {
                        "longitude": 11.647614,
                        "latitude": 52.164053
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622564520000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622564520000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, S-Bahnhof Eichenweiler (Tram/Bus)",
                      "id": "vesputi-station-bTrw7EsPJ6a-BxlvqevOCw",
                      "position": {
                        "longitude": 11.659494,
                        "latitude": 52.165691
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622564640000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622564640000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, Hohenwarther Str.",
                      "id": "vesputi-station-bTrw7EsPJ6a7CRlsqevOCw",
                      "position": {
                        "longitude": 11.670203,
                        "latitude": 52.184606
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622564940000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622564940000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, Rothensee",
                      "id": "vesputi-station-bTrw7EsPJ6a5DxlsqevOCw",
                      "position": {
                        "longitude": 11.672984,
                        "latitude": 52.192696
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565000000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565000000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, ENERCON",
                      "id": "vesputi-station-bTrw7EsPJ6a4BhltqevOCw",
                      "position": {
                        "longitude": 11.674989,
                        "latitude": 52.19879
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565060000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565060000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, Industrie- und Logistik-Centrum",
                      "id": "vesputi-station-bTrw7EsPJ6a4CBlsqevOCw",
                      "position": {
                        "longitude": 11.673718,
                        "latitude": 52.205157
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565120000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565120000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Lostau, Lungenklinik",
                      "id": "vesputi-station-bTrw7EsPIKe7DBlv8qjIDQ",
                      "position": {
                        "longitude": 11.72685,
                        "latitude": 52.214539
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565660000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565660000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Lostau, Denkmal",
                      "id": "vesputi-station-bTrw7EsPIKe7DRlv8qjIDQ",
                      "position": {
                        "longitude": 11.737936,
                        "latitude": 52.208708
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565780000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565780000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Lostau, Lindenstr.",
                      "id": "vesputi-station-bTrw7EsPIKe4Chls8qiVSE2WbFGHsQYjydojwC9CIZI",
                      "position": {
                        "longitude": 11.737283,
                        "latitude": 52.211178
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565840000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565840000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Lostau, Lungenklinik",
                      "id": "vesputi-station-bTrw7EsPIKe7DBls8qjIDQ",
                      "position": {
                        "longitude": 11.726781,
                        "latitude": 52.214612
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565900000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565900000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Sportplatz",
                      "id": "vesputi-station-bTrw7EsPIKe7Dhls8qjIDQ",
                      "position": {
                        "longitude": 11.715808,
                        "latitude": 52.226165
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566080000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566080000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Hauptstr.",
                      "id": "vesputi-station-bTrw7EsPIKe-CRlv8qjIDQ",
                      "position": {
                        "longitude": 11.709434,
                        "latitude": 52.227993
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566140000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566140000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Sandstr.",
                      "id": "vesputi-station-bTrw7EsPIKe7Chlv8qiVSESlaDPTPUir8e7vty8sfiE",
                      "position": {
                        "longitude": 11.713382,
                        "latitude": 52.229349
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566260000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566260000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Sportplatz",
                      "id": "vesputi-station-bTrw7EsPIKe7Dhlv8qjIDQ",
                      "position": {
                        "longitude": 11.715932,
                        "latitude": 52.226037
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566320000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566320000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Siedlung 2",
                      "id": "vesputi-station-bTrw7EsPIKe6Bxlt8qiVSEKTwL1zurXFnDM_NrdoI-c",
                      "position": {
                        "longitude": 11.734462,
                        "latitude": 52.241709
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566560000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566560000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Siedlung 1",
                      "id": "vesputi-station-bTrw7EsPIKe6Bxlv8qiVSMEhNeVP-ZWL3vOJHZHeZXs",
                      "position": {
                        "longitude": 11.738755,
                        "latitude": 52.24578
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566620000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566620000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Schleuse",
                      "id": "vesputi-station-bTrw7EsPIKe6CBlv8qiVSIZxBluiSkyh-VP7GL5xbEI",
                      "position": {
                        "longitude": 11.741631,
                        "latitude": 52.248491
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566680000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566680000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Mühlenstr.",
                      "id": "vesputi-station-bTrw7EsPIKe6CRlv8qiVSODisZZdbQwL_aPrpDghl-g",
                      "position": {
                        "longitude": 11.757699,
                        "latitude": 52.260064
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566740000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566740000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Schule",
                      "id": "vesputi-station-bTrw7EsPIKe6Cxlv8qiVSDw0Em27nqYwqlcvDv4Bnmc",
                      "position": {
                        "longitude": 11.758935,
                        "latitude": 52.266993
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566860000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566860000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Gartenanlage 2",
                      "id": "vesputi-station-bTrw7EsPIKe4DBltqevOCw",
                      "position": {
                        "longitude": 11.773728,
                        "latitude": 52.271356
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566920000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566920000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Gartenanlage 1",
                      "id": "vesputi-station-bTrw7EsPIKe4DBlv8qjIDQ",
                      "position": {
                        "longitude": 11.783575,
                        "latitude": 52.274154
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566980000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566980000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Burg (b. Magdeburg), Einnahme",
                      "id": "vesputi-station-bTrw7EsPIKe6DBlv8qiVSKDeNXp4TM00q0T6VZEMbZs",
                      "position": {
                        "longitude": 11.793677,
                        "latitude": 52.276792
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567040000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567040000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Schartau, Stietzelstr. (Burg)",
                      "id": "vesputi-station-bTrw7EsPIKe4Bxlv8qjIDQ",
                      "position": {
                        "longitude": 11.789613,
                        "latitude": 52.287451
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567100000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567100000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Schartau (Burg)",
                      "id": "vesputi-station-bTrw7EsPIKe6DRlv8qiVSKJ6X3z8cZKpk26GlqYOVuM",
                      "position": {
                        "longitude": 11.788927,
                        "latitude": 52.29029
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567160000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567160000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Schartau, Lindenstr. (Burg)",
                      "id": "vesputi-station-bTrw7EsPIKe4CBlv8qiVSE4qCDjc4E2VFzUPHXzyW5U",
                      "position": {
                        "longitude": 11.792752,
                        "latitude": 52.290505
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567220000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567220000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Schartau, Gaststätte (Burg)",
                      "id": "vesputi-station-bTrw7EsPIKe6Dhlv8qiVSARk_ud5ZJYiQWwq7OHOhJ0",
                      "position": {
                        "longitude": 11.796289,
                        "latitude": 52.288947
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567280000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567280000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Burg (b. Magdeburg), Umspannwerk",
                      "id": "vesputi-station-bTrw7EsPIKK5Dxlv8qiVSH7icfTmbqVf-qEEp1KSn8Q",
                      "position": {
                        "longitude": 11.823436,
                        "latitude": 52.276695
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567400000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567400000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Burg (b. Magdeburg), Knäckewerk",
                      "id": "vesputi-station-bTrw7EsPIKK4DBlv8qiVSAWKmgQG4LiTZCQzRLW9DW4",
                      "position": {
                        "longitude": 11.830241,
                        "latitude": 52.274239
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567460000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567460000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Burg (b. Magdeburg), Busbahnhof",
                      "id": "vesputi-station-bTrw7EsPI6uyBhlqqevOCw",
                      "position": {
                        "longitude": 11.841031,
                        "latitude": 52.274303
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567580000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567580000,
                      "predicted_at": null
                    }
                  }
                ],
                "geojson": null
            }
        '400':
          description: Malformed query. Usually because the parameters are not as expected.
        '404':
          description: If the station is not found or the timestamp is out of schedule range.
  "/transit/trips/search_by_characteristics.json":
    get:
      summary: Find a trip by its characteristic information.
      tags:
      - Trips
      parameters:
      - name: origins_from_station_id
        in: query
        required: true
        schema:
          type: string
        example: "vesputi-station-bTrw7EsPIqqyChlvqevOCw"
        description: Identifier of the first station of the trip.
      - name: destination_station_id
        in: query
        required: true
        schema:
          type: string
        example: "vesputi-station-bTrw7EsPI6uyBhlqqevOCw"
        description: Identifier of the last station of the trip.
      - name: origins_from_departure_time
        in: query
        required: true
        schema:
          type: integer
          format: timestamp
          min: 946684800000  #Unix-Timestamp in miliseconds 01.01.2000 00:00 UTC
          max: 4102444800000 #Unix-Timestamp in miliseconds 01.01.2100 00:00 UTC
        example: 1614689280000
        description: The departure time on the starting station as unix timestamp in milliseconds
      - name: destination_arrival_time
        in: query
        required: true
        schema:
          type: integer
          format: timestamp
          min: 946684800000  #Unix-Timestamp in miliseconds 01.01.2000 00:00 UTC
          max: 4102444800000 #Unix-Timestamp in miliseconds 01.01.2100 00:00 UTC
        example: 1614691230000
        description: The arrival time on the ending station as unix timestamp in milliseconds
      - name: line_name
        in: query
        required: false
        schema:
          type: string
        example: "933"
        description: The short name of the corresponding line
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                "$ref": "#/components/schemas/trip"
              example: {
                "name": "ICE 789",
                "id": "vesputi-trip-JiizqBpNZMz5S0gqxICkUIts4rA%2B0ucNsUnObdlef3nw1bqf1gJ67lO85dKLGeJiY9wpS0nyE0vwZ7xPzoMhUgLsmiN8ftH2wKuVAMiUZWrxhmSR8KthjlBy%2FA6HOXXa7lhvIzlbvEqgppHB2w0RmOZfUyNl8Di4BWegQ0DEYzgHeYFjOKsPRDMg0buoeuz5ztaxgHmB8VpdK3hRlXPnRuKAjI%2FBWfAkdBYIN2YUYAc",
                "type": {
                  "kind": "intercity-train",
                  "product": "ICE"
                },
                stops: [
                  {
                    "station": {
                      "name": "Magdeburg, ZOB",
                      "id": "vesputi-station-bTrw7EsPIqqyChlvqevOCw",
                      "position": {
                        "longitude": 11.624668,
                        "latitude": 52.131593
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622563740000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622563740000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, S-Bahnhof Neustadt (Bus)",
                      "id": "vesputi-station-bTrw7EsPIKe4DhluqevOCw",
                      "position": {
                        "longitude": 11.64104,
                        "latitude": 52.14784
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622564160000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622564160000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, Zoo",
                      "id": "vesputi-station-bTrw7EsPJ6a5DhltqevOCw",
                      "position": {
                        "longitude": 11.647614,
                        "latitude": 52.164053
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622564520000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622564520000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, S-Bahnhof Eichenweiler (Tram/Bus)",
                      "id": "vesputi-station-bTrw7EsPJ6a-BxlvqevOCw",
                      "position": {
                        "longitude": 11.659494,
                        "latitude": 52.165691
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622564640000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622564640000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, Hohenwarther Str.",
                      "id": "vesputi-station-bTrw7EsPJ6a7CRlsqevOCw",
                      "position": {
                        "longitude": 11.670203,
                        "latitude": 52.184606
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622564940000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622564940000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, Rothensee",
                      "id": "vesputi-station-bTrw7EsPJ6a5DxlsqevOCw",
                      "position": {
                        "longitude": 11.672984,
                        "latitude": 52.192696
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565000000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565000000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, ENERCON",
                      "id": "vesputi-station-bTrw7EsPJ6a4BhltqevOCw",
                      "position": {
                        "longitude": 11.674989,
                        "latitude": 52.19879
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565060000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565060000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Magdeburg, Industrie- und Logistik-Centrum",
                      "id": "vesputi-station-bTrw7EsPJ6a4CBlsqevOCw",
                      "position": {
                        "longitude": 11.673718,
                        "latitude": 52.205157
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565120000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565120000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Lostau, Lungenklinik",
                      "id": "vesputi-station-bTrw7EsPIKe7DBlv8qjIDQ",
                      "position": {
                        "longitude": 11.72685,
                        "latitude": 52.214539
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565660000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565660000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Lostau, Denkmal",
                      "id": "vesputi-station-bTrw7EsPIKe7DRlv8qjIDQ",
                      "position": {
                        "longitude": 11.737936,
                        "latitude": 52.208708
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565780000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565780000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Lostau, Lindenstr.",
                      "id": "vesputi-station-bTrw7EsPIKe4Chls8qiVSE2WbFGHsQYjydojwC9CIZI",
                      "position": {
                        "longitude": 11.737283,
                        "latitude": 52.211178
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565840000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565840000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Lostau, Lungenklinik",
                      "id": "vesputi-station-bTrw7EsPIKe7DBls8qjIDQ",
                      "position": {
                        "longitude": 11.726781,
                        "latitude": 52.214612
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622565900000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622565900000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Sportplatz",
                      "id": "vesputi-station-bTrw7EsPIKe7Dhls8qjIDQ",
                      "position": {
                        "longitude": 11.715808,
                        "latitude": 52.226165
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566080000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566080000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Hauptstr.",
                      "id": "vesputi-station-bTrw7EsPIKe-CRlv8qjIDQ",
                      "position": {
                        "longitude": 11.709434,
                        "latitude": 52.227993
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566140000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566140000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Sandstr.",
                      "id": "vesputi-station-bTrw7EsPIKe7Chlv8qiVSESlaDPTPUir8e7vty8sfiE",
                      "position": {
                        "longitude": 11.713382,
                        "latitude": 52.229349
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566260000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566260000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Sportplatz",
                      "id": "vesputi-station-bTrw7EsPIKe7Dhlv8qjIDQ",
                      "position": {
                        "longitude": 11.715932,
                        "latitude": 52.226037
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566320000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566320000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Siedlung 2",
                      "id": "vesputi-station-bTrw7EsPIKe6Bxlt8qiVSEKTwL1zurXFnDM_NrdoI-c",
                      "position": {
                        "longitude": 11.734462,
                        "latitude": 52.241709
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566560000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566560000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Hohenwarthe, Siedlung 1",
                      "id": "vesputi-station-bTrw7EsPIKe6Bxlv8qiVSMEhNeVP-ZWL3vOJHZHeZXs",
                      "position": {
                        "longitude": 11.738755,
                        "latitude": 52.24578
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566620000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566620000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Schleuse",
                      "id": "vesputi-station-bTrw7EsPIKe6CBlv8qiVSIZxBluiSkyh-VP7GL5xbEI",
                      "position": {
                        "longitude": 11.741631,
                        "latitude": 52.248491
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566680000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566680000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Mühlenstr.",
                      "id": "vesputi-station-bTrw7EsPIKe6CRlv8qiVSODisZZdbQwL_aPrpDghl-g",
                      "position": {
                        "longitude": 11.757699,
                        "latitude": 52.260064
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566740000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566740000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Schule",
                      "id": "vesputi-station-bTrw7EsPIKe6Cxlv8qiVSDw0Em27nqYwqlcvDv4Bnmc",
                      "position": {
                        "longitude": 11.758935,
                        "latitude": 52.266993
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566860000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566860000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Gartenanlage 2",
                      "id": "vesputi-station-bTrw7EsPIKe4DBltqevOCw",
                      "position": {
                        "longitude": 11.773728,
                        "latitude": 52.271356
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566920000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566920000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Niegripp, Gartenanlage 1",
                      "id": "vesputi-station-bTrw7EsPIKe4DBlv8qjIDQ",
                      "position": {
                        "longitude": 11.783575,
                        "latitude": 52.274154
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622566980000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622566980000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Burg (b. Magdeburg), Einnahme",
                      "id": "vesputi-station-bTrw7EsPIKe6DBlv8qiVSKDeNXp4TM00q0T6VZEMbZs",
                      "position": {
                        "longitude": 11.793677,
                        "latitude": 52.276792
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567040000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567040000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Schartau, Stietzelstr. (Burg)",
                      "id": "vesputi-station-bTrw7EsPIKe4Bxlv8qjIDQ",
                      "position": {
                        "longitude": 11.789613,
                        "latitude": 52.287451
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567100000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567100000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Schartau (Burg)",
                      "id": "vesputi-station-bTrw7EsPIKe6DRlv8qiVSKJ6X3z8cZKpk26GlqYOVuM",
                      "position": {
                        "longitude": 11.788927,
                        "latitude": 52.29029
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567160000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567160000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Schartau, Lindenstr. (Burg)",
                      "id": "vesputi-station-bTrw7EsPIKe4CBlv8qiVSE4qCDjc4E2VFzUPHXzyW5U",
                      "position": {
                        "longitude": 11.792752,
                        "latitude": 52.290505
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567220000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567220000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Schartau, Gaststätte (Burg)",
                      "id": "vesputi-station-bTrw7EsPIKe6Dhlv8qiVSARk_ud5ZJYiQWwq7OHOhJ0",
                      "position": {
                        "longitude": 11.796289,
                        "latitude": 52.288947
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567280000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567280000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Burg (b. Magdeburg), Umspannwerk",
                      "id": "vesputi-station-bTrw7EsPIKK5Dxlv8qiVSH7icfTmbqVf-qEEp1KSn8Q",
                      "position": {
                        "longitude": 11.823436,
                        "latitude": 52.276695
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567400000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567400000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Burg (b. Magdeburg), Knäckewerk",
                      "id": "vesputi-station-bTrw7EsPIKK4DBlv8qiVSAWKmgQG4LiTZCQzRLW9DW4",
                      "position": {
                        "longitude": 11.830241,
                        "latitude": 52.274239
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567460000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567460000,
                      "predicted_at": null
                    }
                  },
                  {
                    "station": {
                      "name": "Burg (b. Magdeburg), Busbahnhof",
                      "id": "vesputi-station-bTrw7EsPI6uyBhlqqevOCw",
                      "position": {
                        "longitude": 11.841031,
                        "latitude": 52.274303
                      }
                    },
                    "status": "future",
                    "arrival": {
                      "scheduled_at": 1622567580000,
                      "predicted_at": null
                    },
                    "departure": {
                      "scheduled_at": 1622567580000,
                      "predicted_at": null
                    }
                  }
                ],
                "geojson": null
              }
        '400':
          description: Malformed query. Usually, the parameters are not as expected.
        '404':
          description: If the station is not found or the timestamp is out of schedule range.
  "/transit/attributions.json":
    get:
      summary: Show the attributions, necessary for you to display on your current view
      tags:
      - Attributions
      responses:
        '200':
          description: success
          content:
            application/json:
              schema:
                type: object
                "$ref": "#/components/schemas/attributions"
              example: {
                "html": "&lt;a href='https://www.themobilitybox.com/&apos;&gt;Mobilitybox | Shown data: Delfi e.V.&lt;/a&gt;",
                "text": "Mobilitybox | Shown data: Delfi e.V.",
                "url": "https://www.themobilitybox.com/"
              }